Bug 1252500 - pk-offline-update conflicts with other updaters
pk-offline-update conflicts with other updaters
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1250939
  Show dependency treegraph
 
Reported: 2015-08-11 10:46 EDT by Will Woods
Modified: 2015-09-25 08:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: PackageKit-1.0.6-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-25 08:19:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2015-08-11 10:46:15 EDT
Currently, if another process sets up an Offline Update, pk-offline-update may run first; if it does, it deletes the symlink, then fails to read the (missing) transaction file, then exits unsuccessfully, rebooting the system.

This messes up the other process (e.g. dnf system-upgrade) pretty badly.

As per the discussion here:

  http://lists.freedesktop.org/archives/systemd-devel/2015-July/033623.html

the recommended behavior is to check to see if the update was prepared by this tool, and if not, exit quietly.
Comment 1 Will Woods 2015-08-11 11:04:31 EDT
Patch sent upstream:

https://github.com/hughsie/PackageKit/pull/78

This will require backporting to F22 and F21.
Comment 2 Fedora Update System 2015-09-09 08:08:00 EDT
PackageKit-1.0.6-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15440
Comment 3 Fedora Update System 2015-09-09 21:03:01 EDT
PackageKit-1.0.6-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update PackageKit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15440
Comment 4 Fedora Update System 2015-09-25 08:19:14 EDT
PackageKit-1.0.6-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.